# Method: locations.placeActionLinks.patch

- [HTTP request](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/patch#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks/patch#body.aspect)

Updates the specified place action link and returns it.

### HTTP request

`PATCH https://mybusinessplaceactions.googleapis.com/v1/{placeActionLink.name=locations/*/placeActionLinks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `placeActionLink.name` | `string` Optional. The resource name, in the format `locations/{locationId}/placeActionLinks/{place_action_link_id}`. The name field will only be considered in placeActionLinks.patch and placeActionLinks.delete requests for updating and deleting links respectively. However, it will be ignored in placeActionLinks.create request, where `place_action_link_id` will be assigned by the server on successful creation of a new link and returned as part of the response. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The specific fields to update. The only editable fields are `uri`, `placeActionType` and `isPreferred`. If the updated link already exists at the same location with the same `placeActionType` and `uri`, fails with an `ALREADY_EXISTS` error. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks#PlaceActionLink`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/placeactions/rest/v1/locations.placeActionLinks#PlaceActionLink`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).